# $Id: smeserver-denyhosts.spec,v 1.10 2024/09/04 11:16:24 terryfage Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-denyhosts
%define name smeserver-denyhosts
%define version 2.9
%define release 20
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tgz
Patch0: smeserver-denyhosts-2.9-regexpatch.patch
Patch1: smeserver-denyhosts-2.9-bz10076-wrongIPremovedfromWL.patch
Patch2: smeserver-denyhosts-2.9-bz9458-ease_to_deban.patch
Patch3: smeserver-denyhosts-2.9-locale-2019-12-07.patch
Patch4: smeserver-denyhosts-2.9-sme10Initial.patch
Patch5: smeserver-denyhosts-2.9-locale-2021-08-21.patch
Patch6: smeserver-denyhosts-2.9-bz11804.patch
Patch7: smeserver-denyhosts-2.9-bz12003-backup.patch
Patch8: smeserver-denyhosts-2.9-locale-2024-09-04.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: smeserver-release >= 8.0
Requires: denyhosts >= 2.6-20
Requires: e-smith-formmagick >= 1.4.0-12
Requires: e-smith-openssh >= 2.6.0-4
Provides: perl(esmith::FormMagick::Panel::denyhosts)

%description
Integration package to mesh denyhosts with SME Server.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Wed Sep 04 2024 Terry Fage <terry@fage.id.au> 2.9-20.sme
- apply locale 2024-09-04.patch

* Sat Jul 30 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.9-19.sme
-  add Provides perl(esmith::FormMagick::Panel::denyhosts)  

* Sat Jul 30 2022 Brian Read <brianr@bjsystems.co.uk> 2.9-18.sme
- Re-build and link to latest devtools [SME: 11997]

* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.9-17.sme
- add to core backup [SME: 12003]

* Thu Dec 09 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.9-16.sme
- Re-build and link to latest devtools log path  [SME: 11804]
- Re-build and link to latest devtools multiple rpm owner [SME: 11677]

* Sun Aug 22 2021 Terry Fage <terry.fage@gmail.com> 2.9-15.sme
- apply locale 2021-08-21 patch 

* Mon Mar 15 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.9-14.sme
- change pid file reference [SME: 11254]
- increase timeout  for the service file and restart always

* Mon Mar 15 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.9-12.sme
- import to SME10 [SME: 11459]
- remove template-custom as integrated in core [SME: 11254]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 2.9-11.sme
- apply locale 2019-12-07 patch

* Sun Mar 24 2019 Jean-Philipe Pialasse <tests@pialasse.com> 2.9-10.sme
- ease unban [SME: 9458]

* Mon Feb 06 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.9-7.sme
- Re-build and link to latest devtools removing from whitelist does not remove the desired IP but a random one [SME: 10076]

* Mon Mar 30 2015 JP Pialasse <tests@pialasse.com> 2.9-6.sme
- Re-build and link to latest devtoolsed non working REGEX [SME: 8894]
- Re-build and link to latest devtoolsed should isntall epel version not repoforge [SME: 8892]

* Sun Mar 29 2015 JP Pialasse <tests@pialasse.com> 2.9-1.sme
- Re-build and link to latest devtoolsed path to perl modules

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 2.8-1.sme
- initial import to SME9 contribs

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 2.7-2.sme
- apply locale 2013-07-14 patch

* Sun Jun 3 2012 JP PIALASSE tests@pialasse.com  2.7-1.sme
- Initial version
